/*
Copyright (c) 2009, Eamon O'Dea <odea35 [at] gmail.com>

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted, provided that the above
copyright notice and this permission notice appear in all copies.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>


int
file_parser (double *alphas, double *betas, short numbins)
{
  char *string, *p;
  char filename[] = "../data/alpha-beta.dat";
  FILE *fp;
  int ret = 0, i = 0, j = 0;
  size_t nbytes = 10000;

  string = (char *) malloc (nbytes);
  if (string == NULL)
    {
      fprintf (stderr, "Error: %s: %d:\
malloc() of string failed\n", __FILE__, __LINE__);
      return 1;
    }

  if ((fp = fopen (filename, "r")) == NULL)
    {
      fprintf (stderr, "Error: %s:%d: cannot open data file\n", __FILE__,
	       __LINE__);
      return (-1);
    }
  fgets (string, nbytes, fp);
  /* Read past the header line */

  while (1)
    {
      fgets (string, nbytes, fp);
      p = strtok (string, " ");
      if (feof (fp))
	{
	  break;
	}
      j = 0;
      do
	{
	  p = strtok ('\0', " ");
	  if (p)
	    {
	      j++;
	      if (j == 1)
		{
		  alphas[i] = atof (p);
		}
	      else if (j == 2)
		{
		  betas[i] = atof (p);
		}
	    }
	}
      while (p);
      i++;
    }
  if (fp)
    fclose (fp);
  return (ret);
}
