/*
Copyright (c) 2009, Eamon O'Dea <odea35 [at] gmail.com>

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted, provided that the above
copyright notice and this permission notice appear in all copies.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
*/
#ifndef __defined_sim_h
#define __defined_sim_h

#include <stdio.h>
#include <math.h>
#include <gsl/gsl_matrix.h>
#include <gsl/gsl_randist.h>
#include <gsl/gsl_rng.h>

int 
multi_branching_sim_pois (int *extinct, int bin, int numbins, 
                          double mu, int l, int b, double sv,
                          gsl_matrix_short *bins, double *alphas,
                          double *betas, gsl_rng *r);
int 
multi_branching_sim_bin (int *extinct, int bin, int numbins, 
                         double mu, int l, int b, double sv,
                         gsl_matrix_short *bins, double *alphas,
                         double *betas, gsl_rng *r);

int sim_stepper(int num_reps, int l, int b, double sv,
                 int numbins, int pois, gsl_matrix_short *bins,
                 double *alphas, double *betas);
#endif
