alpha.beta.ggplot <-
  function(filename="alpha-beta.dat",...){
    require(ggplot2)
    x <- read.table(filename, header=TRUE)
    facet <- paste("l==",x$length)
    x$facet <- factor(facet, levels=rev(unique(facet)))
    pg <- ggplot(x, aes(alpha, beta)) + geom_line(aes(group=logCalN)) + facet_grid(~facet, labeller=label_parsed) + scale_x_log10() + xlab(expression(paste("Non-neutrality parameter  ", alpha))) + ylab(expression(paste("Epistasis parameter  ", beta)))
    pg <- pg + theme_bw() + opts(panel.grid.minor=theme_blank(), panel.grid.major=theme_blank(), panel.background=theme_blank())
    print(pg)
  }

