lambda.vs.U.ggplot <-
  function(){
    require(ggplot2)
    data.path <- file.path("..","data","alpha-beta-panels-prec256.dat")
    y <- read.table(data.path, header=TRUE)
    yg <- split(y, list(y$length, y$logCalN), drop=TRUE)
    yg.ab <- lapply(yg, function(x) cbind(x$s, x$alpha, x$beta))

    system("cd ../ExtinCalc; bash compile.sh")
    D <- data.frame()
    for(i in 1:length(yg.ab)){
      parms <- as.numeric(unlist(strsplit(names(yg.ab)[i], c("\\."))))
      len <- parms[1]
      N <- parms[2]
      tab <- yg.ab[[i]]
      colnames(tab) <- c("s", "alpha", "beta")
      write.table(tab, file="../data/alpha-beta.dat", quote=FALSE, row.names=FALSE)
      system(paste("cd ../ExtinCalc; ./ExtinCalc -l", len, "-numbins 100 -b 1 -sv 1 -pois 1 -makedot 0 simulate 0 -mat 2"))
      system("mv ../ExtinCalc/mean_mat*.dat ../data/")
      numbins <- 100
      qs <- seq(1-20/len, 1, length=101)
      q.string <- sapply(qs, function(x) unlist(strsplit(sprintf("%f", x), "\\."))[2])
      q.string[length(q.string)] <- "1000000"
      nams <- paste("mean_mat_qis0p", q.string,  ".dat", sep="")
      paths <- file.path("..","data", nams)
      eigs <- sapply(paths, function(x){
        d <- scan(x)
        M <- matrix(d, numbins, numbins)
        eigen(M)$values[1]
      })
      U <- seq(20, 0, length=101)
      D.new <- data.frame(length=len, N=N, U=U, lambda=eigs, row.names=NULL)
      D <- rbind(D, D.new)
    }

    D.clean <- subset(D, lambda <=1)
    facet <- paste("l==", D.clean$length)
    D.clean$facet <- factor(facet, levels=unique(facet))


    pg <- ggplot(D.clean, aes(U, lambda, group=N))
    pg <- pg + geom_line() + facet_grid(~facet, labeller=label_parsed) + scale_y_log()
    pg <- pg + labs(x="Mutation rate U", y=expression(paste("Dominant eigenvalue ", lambda(M))))
    pg <- pg + theme_bw() + opts(panel.grid.minor=theme_blank(), panel.grid.major=theme_blank(), panel.background=theme_blank())
    print(pg)
  }

