multi.k.contime.ggplot <-
  function(k=c(2,4,6,8), N=c(1e4,1e8,1e12), datadir="./", ...){
    require(ggplot2)
    filenames <- vector("character")
    for (i in 1:12)
      if (10^i %in% N){
        filenames <- c(filenames, file.path(datadir, paste("time_U_k", k,"_Ne", i, ".dat", sep="")))
      }
    
    for (i in 1:length(filenames)){
      tab <- read.table(filenames[i], header=TRUE)
      if (i == 1){
        stacked <- tab
      }
      else{
        stacked <- rbind(stacked, tab)
      }
    }
    facets <- paste("N==10^",log10(stacked$N))
    stacked$facets <- factor(facets, levels=unique(facets))

    pl <- ggplot(subset(stacked, 2*U < k), aes(U, contime)) + geom_line(aes(group=k)) + facet_grid(~facets, labeller=label_parsed)+ scale_y_log10() + xlab("Mutation rate U") + ylab(expression(paste("Convergence time  ", tau[conv])))
    pl <- pl+ scale_x_log10()
    pl <- pl + theme_bw() + opts(panel.grid.minor=theme_blank(), panel.grid.major=theme_blank(), panel.background=theme_blank())
    print(pl)

  }

