lo.smoother <- function (y,x,xpoints){
  predict(loess(y~x),data.frame(x=xpoints))
}
smoother <-
  function (filename, first.data.column, neut.column){
    ## For each mutation rate (columns 2 to 152 in data file),
    ## fit a smoother line to data points for Pr{Exntinction} vs.
    ## neutrality, then get predicted values over a regular sequence
    ## of neutralities, returning a data frame.
    surf <- read.csv(filename,header=FALSE)
    last.data.column <- dim(surf)[2]
    columns <- first.data.column:last.data.column
    surf.data <- as.matrix(surf[,columns])
    ord <- order(surf[,neut.column])
    u.nu <- as.data.frame(surf.data[ord,])
    u.nu <- cbind(u.nu,surf[ord,neut.column])
    colnames(u.nu) <- c(paste("u",seq(0.1,15,by=0.1),sep="."),"neut")
    neut.column <- dim(u.nu)[2]
    apply(u.nu[,-neut.column],2,lo.smoother,x=u.nu$neut,xpoints=seq(0.2,0.8,0.01))
  }

