stair.crits.ggplot <-
  function(datadir="./"){
    require(ggplot2)
    b <- c(1, seq(10,50,10))
    filenames <- file.path(datadir, paste("ucrit_v_b", b, ".dat", sep=""))
    stacked <<- data.frame(b=vector("numeric"), ucrit=vector("numeric"))
    sapply(b, function(x) stacked <<- rbind(stacked, cbind( read.table(file.path(datadir, paste("ucrit_v_b", x, ".dat", sep="")), header=TRUE), x)))
    stacked$Active <<- factor(stacked$x)
    p <- ggplot(stacked, aes(b, ucrit))
    pg <- p + geom_point(size=1, aes(shape=stacked$Active))  + labs(x="Total number of blocks", y=expression(paste("Critical mutation rate  ", U[crit])), shape="Active\nblocks")
    pg <- pg + theme_bw() + opts(panel.grid.minor=theme_blank(), panel.grid.major=theme_blank(), panel.background=theme_blank(), legend.key=theme_blank())
    print(pg)
  }

