u.vs.r.stoch.ggplot <- function(){
require(ggplot2)
  U <- seq(0,20, 20/100)
  l <- 400
  R <- 50
  numbins <- 100
  names <- paste("mean_mat_qis0p", sprintf("%d",(1-U/l)*1e6),".dat", sep="")
  paths <- file.path("..","data", names)
  eigs <- sapply(paths, function(x){
    d <- scan(x)
    RM <- matrix(d, numbins, numbins)
    M <- RM/R
    eigen(M)$values[1]
  }
                 )
  r.crits <- 1/eigs
  D <- data.frame(r.crits, U)
  
    p <- ggplot(D, aes(r.crits, U)) 
    pg <- p + geom_area(position="identity")
    pg <- pg + scale_x_log10() + labs(x="Reproductive capacity R", y="Mutation rate U")  
    pg <- pg + geom_text(aes(200,15,label="Extinction"))
    pg <- pg + geom_text(aes(1e5,5, label="Survival"), colour="white")
    pg <- pg + theme_bw() + opts(panel.grid.minor=theme_blank(), panel.grid.major=theme_blank(), panel.background=theme_blank())
    pg <- pg + opts(legend.position="none")

    print(pg)

}
