u.vs.rmax.ggplot <-
  function(){
    require(ggplot2)
    R <- seq(1,1e4, 1e3)
    one <- log(R)
    half <- 2*log(R)
    D <- data.frame(R, one, half)
    D <- melt(D, id.vars="R")
    D$facet <- NA
    D$facet[which(D[,2]=="one")] <- "p==1"
    D$facet[which(D[,2]=="half")] <- "p==0.5"
    D$facet <- reorder(D$facet, D$value, mean)
    p <- ggplot(D, aes(R, value)) + facet_grid(~facet, labeller=label_parsed)
    pg <- p + geom_area(aes(fill=factor(variable)), position="identity")
    pg <- pg + scale_x_log10() + labs(x="Reproductive capacity R", y="Mutation rate U")  
    pg <- pg + scale_fill_manual(values=c("half"="black", "one"="black"), name=expression(alpha))
    pg <- pg + geom_text(aes(30,16,label="Extinction"))
    pg <- pg + geom_text(aes(300,2, label="Survival"), colour="white")
    pg <- pg + theme_bw() + opts(panel.grid.minor=theme_blank(), panel.grid.major=theme_blank(), panel.background=theme_blank())
    pg <- pg + opts(legend.position="none")

    print(pg)
  }

