
length=40
network_size= 4**40 * 88840 / 200e6
num_letters=4
alpha=0.6
tolerance = 0.5
numbins = 100
prec = 256

def conservation_formula(length, alpha, beta, num_letters):
#   """ calculates size of neutral network based on correlation between epistasis and neutrality as in Wilke and Adami 2001 """
    lhs = 0
    for n in range(length):
        n=n+1
        lhs += exp(-1*alpha*n**beta)*binomial(length,n)*(num_letters-1)**n

    return(lhs)

def difference_calc(beta, length=length, alpha=alpha, num_letters=num_letters, network_size=network_size):
#   """ calculates the difference between the result of the conservation formula and a given neutral network size """
    lhs = conservation_formula(length, alpha, beta, num_letters)
    difference = lhs - network_size
    return(difference)

def bisect(f=difference_calc, a=3, b=0, e=tolerance, iteration_limit=160):
#    """ Determines zero between a and b using Bisection. """
    n = 0
    fa = f(a, alpha=alpha)
    if fa == 0.0: return (a, n)
    fb = f(b, alpha=alpha)
    if fb == 0.0: return (b, n)
    fc = 1001
    while ( abs(fc) > e):
        c = (a+b)/2.n(prec)
        fc = f(c, alpha=alpha)
        if fc == 0.0: return (c, n)
        n = n + 1
        if n > iteration_limit:
            print "Error: Iteration_limit exceeded"
            return (-1, -1)

        if fb*fc < 0.0:
            a = c
            fa = fc

        else:
            b = c
            fb = fc
        
    if fa < fb:
        return (a, n)
    else:
        return (b, n)

fp =  open('alpha-beta.dat', 'w')
fp.write('s alpha beta\n')
for n in range(numbins-1):
    s =  (n+1)/(numbins)
    alpha = -log(1-s).n(prec)
    answer = bisect()
    fp.write(str(s.n()))
    fp.write(' ')
    fp.write(str(alpha))
    fp.write(' ')
    fp.write(str(answer[0]))
    fp.write('\n')

fp.close()
