"""
Copyright (c) 2009, Thomas Keller <thomas.e.keller [at] gmail.com>

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted, provided that the above
copyright notice and this permission notice appear in all copies.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

"""
# -*- coding: utf-8 -*-
from __future__ import with_statement
import pymutfun_rob_final as pymutfun_rob
import globs_rob_final as globs
from pyrna_rob_final import *
import time
def ran_gtype():
    return ''.join([globs.bases[np.random.randint(4)] for _ in range(globs.glength)])
fold_params()

def ini_fdel():
    inigt=globs.init_pop[0][0]
    targ=globs.target
    totpos=3*len(inigt)
    mutch=0
    cods=['A','C','G','U']
    for i in range(len(inigt)):
        for cod in cods:
            if cod is inigt[i]:
                continue
            else:
                if hamming(pyfold(inigt[:i]+cod+inigt[i+1:]),targ):#if single hit mutant is phenotypically different
                    mutch+=1
    return float(mutch)/totpos
    
ext_pr=np.zeros(150)
mutran=np.arange(0.1,15.1,.1)
num_rep=100
t=time.time()


for i,mut in enumerate(mutran):
    globs.fidelity=1-mut/globs.glength
    for rep in range(num_rep):
        pop=pymutfun_rob.population(globs.init_pop)
        for gen in range(1,globs.maxgens+1):
            pop.nextgen()
            if pop.totoffspring>=globs.popsize:
                break
            if not pop.mean_fit:
                ext_pr[i]+=1
                break

print time.time() - t
with open(globs.runname,'w') as f:
    f.write('%f\n'%ini_fdel())
    f.write('%s'%(','.join(str(round(pr/num_rep,3)) for pr in ext_pr)))
pyfreemem()
